Subject: bug#5321: - Interaction problem between Emacs and terminal paste functions

From: James Mills <[email-masked]>
Date: Fri, 29 Oct 2010 15:23:35 -0500

> Apparently the pty buffer of your system has a size of 4096 bytes.  If
> the terminal keeps stuffing more bytes into the master side of the pty
> that buffer overflows and bytes are dropped until the process at the
> other side of the pty had a chance to read some.  This is unlikely to be
> fixable inside Emacs.

Andreas,

If this were the case, then why would other editors on the same
systems in the same terminal emulators not exhibit this behavior?  All
other tested editors (vi, vim, nano, etc) pasted the entire buffer.

Thanks!
~james